# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class StoreSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Store
        fields = '__all__'


class StoreSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.Store
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class StoreSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.Store
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class StoreDocumentSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.StoreDocument
        fields = '__all__'


class StoreDocumentSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.StoreDocument
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class StoreDocumentSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.StoreDocument
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class StoreDocumentNumberSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.StoreDocumentNumber
        fields = '__all__'


class StoreDocumentNumberSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.StoreDocumentNumber
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class StoreDocumentNumberSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.StoreDocumentNumber
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class StoreCauseSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.StoreCause
        fields = '__all__'


class StoreCauseSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.StoreCause
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class StoreCauseSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.StoreCause
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
