# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('store', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='store',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'store', 'verbose_name_plural': 'stores', 'permissions': (('list_store', 'Can list store'), ('detail_store', 'Can detail store'), ('disable_store', 'Can disable store'))},
        ),
        migrations.AlterModelOptions(
            name='storecause',
            options={'verbose_name': 'store cause', 'verbose_name_plural': 'store causes', 'permissions': (('list_storecause', 'Can list store cause'), ('detail_storecause', 'Can detail store cause'), ('disable_storecause', 'Can disable store cause'))},
        ),
        migrations.AlterModelOptions(
            name='storedocument',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'store document', 'verbose_name_plural': 'store documents', 'permissions': (('list_storedocument', 'Can list store document'), ('detail_storedocument', 'Can detail store document'), ('disable_storedocument', 'Can disable store document'))},
        ),
        migrations.AlterModelOptions(
            name='storedocumentnumber',
            options={'verbose_name': 'store document number', 'verbose_name_plural': 'store document numbers', 'permissions': (('list_storedocumentnumber', 'Can list store document number'), ('detail_storedocumentnumber', 'Can detail store document number'))},
        ),
        migrations.AlterField(
            model_name='storecause',
            name='invoice_required',
            field=models.BooleanField(default=False, db_index=True, verbose_name='invoice required'),
        ),
        migrations.AlterField(
            model_name='storedocumentnumber',
            name='application',
            field=models.CharField(db_index=True, max_length=1, choices=[(b'q', 'quotation'), (b'o', 'order'), (b'd', 'ddt'), (b'i', 'invoice')]),
        ),
    ]
