# -*- coding: utf-8 -*-

from django.utils.translation import ugettext_lazy as _

STORE_APP_TYPE = (
    ('q', _('quotation')),
    ('o', _('order')),
    ('d', _('ddt')),
    ('i', _('invoice')),
)

STORE_MOVE_TYPE = (
    ('not', _('not moving')),
    ('in', _('in')),
    ('out', _('out')),
)

STORE_STOCK_BUSY_TYPE = (
    (0, ' '),
    (1, '+',),
    (-1, '-',),
)

STORE_ORGANIZATIONTYPE_DEF = (
    ('com', _('company'),),
    ('cus', _('customer'),),
    ('sup', _('supplier'),),
    ('vec', _('vector'),),
    ('whe', _('warehouse'),),
)
